%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Module-Build-Tiny
Epoch:         1
Version:       0.048
Release:       1mamba
Summary:       Module::Build::Tiny - A tiny replacement for Module::Build
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        https://cpan.metacpan.org/modules/by-module/Module/Module-Build-Tiny-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-CPAN-Meta
BuildRequires: perl-ExtUtils-Config
BuildRequires: perl-ExtUtils-Helpers
BuildRequires: perl-ExtUtils-InstallPaths
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver

%description
Module::Build::Tiny - A tiny replacement for Module::Build.

%prep
%setup -q -n Module-Build-Tiny-%{version}

%build
perl Build.PL installdirs=vendor
./Build
#./Build test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export PERL_INSTALL_ROOT=%{buildroot}
./Build install \
   --install_path bindoc="%{_mandir}/man1" \
   --install_path libdoc="%{_mandir}/man3"

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Sun Apr 28 2024 Automatic Build System <autodist@openmamba.org> 0.048-1mamba
- automatic version update by autodist

* Sat Sep 30 2023 Automatic Build System <autodist@mambasoft.it> 0.047-1mamba
- automatic version update by autodist

* Fri Jun 02 2023 Automatic Build System <autodist@mambasoft.it> 0.046-1mamba
- automatic version update by autodist

* Mon May 01 2023 Automatic Build System <autodist@mambasoft.it> 0.045-1mamba
- automatic version update by autodist

* Fri Apr 28 2023 Automatic Build System <autodist@mambasoft.it> 0.044-1mamba
- automatic version update by autodist

* Thu Apr 20 2023 Automatic Build System <autodist@mambasoft.it> 0.043-1mamba
- automatic version update by autodist

* Wed Apr 19 2023 Automatic Build System <autodist@mambasoft.it> 0.042-1mamba
- automatic version update by autodist

* Tue Apr 18 2023 Automatic Build System <autodist@mambasoft.it> 0.041-1mamba
- automatic version update by autodist

* Fri Feb 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.039-1mamba
- update to 0.039
- revert and bump epoch to fix wrong source

* Sat May 02 2020 Automatic Build System <autodist@mambasoft.it> 0.4231-1mamba
- automatic update by autodist

* Fri Oct 27 2017 Automatic Build System <autodist@mambasoft.it> 0.4224-1mamba
- automatic update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4220-1mamba
- update to 0.4220

* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.039-1mamba
- package created using the webbuild interface
